# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'capistrano/remote_cache_from_local/version'

Gem::Specification.new do |spec|
  spec.name          = "capistrano2-remote_cache_from_local"
  spec.version       = Capistrano::RemoteCacheFromLocal::VERSION
  spec.authors       = ["Rhett Sutphin"]
  spec.email         = ["rhett@detailedbalance.net"]

  spec.summary       = %q{Allows deploying with capistrano directly from the local git repo.}
  spec.description   = %q{A deployment strategy for Capistrano 2 that allows deploying directly from the local git repo, piggybacking on Capistrano's existing SSH connection.}
  spec.homepage      = "https://github.com/cdd/capistrano2-remote_cache_from_local"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "capistrano", "~> 2.5"

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
end
